org.apache.maven.scm.provider.synergy.util

## Class SynergyCCM

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.util.SynergyCCM

    public class SynergyCCM
    extends Object

This class contains methods to execute Synergy ccm command line.

Version:
  $Id: SynergyCCM.java 891919 2009-12-17 21:29:25Z olamy $
Author:
  Julien Henry

### Constructor Summary

Constructors
Constructor and Description
`SynergyCCM()`

### Method Summary

Methods
`static org.codehaus.plexus.util.cli.Commandline` `checkinFiles(List files, String comment, String ccmAddr)` Create commandline to checkin a fileset
`static org.codehaus.plexus.util.cli.Commandline` `checkinProject(String projectSpec, String comment, String ccmAddr)` Create commandline to checkin a project
`static org.codehaus.plexus.util.cli.Commandline` `checkinTask(String taskSpecs, String comment, String ccmAddr)` Create command line for checkin a task
`static org.codehaus.plexus.util.cli.Commandline` `checkoutFiles(List files, String ccmAddr)` Create commandline to checkout a fileset.
`static org.codehaus.plexus.util.cli.Commandline` `checkoutProject(File directory, String projectSpec, ScmVersion version, String purpose, String release, String ccmAddr)` Create commandline to checkout a project
`static org.codehaus.plexus.util.cli.Commandline` `create(List files, String message, String ccmAddr)` Create command line for adding a fileset to a project
`static org.codehaus.plexus.util.cli.Commandline` `createBaseline(String projectSpec, String name, String release, String purpose, String ccmAddr)` Create command line for creating a baseline.
`static org.codehaus.plexus.util.cli.Commandline` `createTask(String synopsis, String release, boolean defaultTask, String ccmAddr)` Create command line for creating a task
`static org.codehaus.plexus.util.cli.Commandline` `delete(List files, String ccmAddr, boolean replace)` Create command line for deleting file(s).
`static org.codehaus.plexus.util.cli.Commandline` `delimiter(String ccmAddr)` Create commandline to get Synergy database delimiter
`static org.codehaus.plexus.util.cli.Commandline` `dir(File directory, String format, String ccmAddr)` Create command line to perform a dir on the directory.
`static org.codehaus.plexus.util.cli.Commandline` `query(String query, String format, String ccmAddr)` Create commandline for query.
`static org.codehaus.plexus.util.cli.Commandline` `reconcileUdb(String projectSpec, String ccmAddr)` Create command line to reconcile a project with udb option.
`static org.codehaus.plexus.util.cli.Commandline` `reconcileUwa(String projectSpec, String ccmAddr)` Create command line to reconcile a project with uwa option.
`static org.codehaus.plexus.util.cli.Commandline` `reconfigure(String projectSpec, String ccmAddr)` Create commandline to reconfigure a project.
`static org.codehaus.plexus.util.cli.Commandline` `reconfigureProperties(String projectSpec, String ccmAddr)` Create commandline to reconfigure properties of a project.
`static org.codehaus.plexus.util.cli.Commandline` `showTaskObjects(int taskNumber, String format, String ccmAddr)` Create commandline for getting list of objects in a task.
`static org.codehaus.plexus.util.cli.Commandline` `showWorkArea(String projectSpec, String ccmAddr)` Create commandline to get workarea informations for a given project.
`static org.codehaus.plexus.util.cli.Commandline` `start(String username, String password, SynergyRole role)` Create commandline to start a Synergy session
`static org.codehaus.plexus.util.cli.Commandline` `startRemote(String username, String password, SynergyRole role)` Create commandline to start a remote Synergy session
`static org.codehaus.plexus.util.cli.Commandline` `stop(String ccmAddr)` Create commandline to stop a Synergy session
`static org.codehaus.plexus.util.cli.Commandline` `synchronize(String projectSpec, String ccmAddr)` Create commandline to synchronize a project

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyCCM

    public SynergyCCM()

### Method Detail

#### showTaskObjects

    public static org.codehaus.plexus.util.cli.Commandline showTaskObjects(int taskNumber,
                                                           String format,
                                                           String ccmAddr)
                                                                    throws ScmException

Create commandline for getting list of objects in a task.

Parameters:
  `taskNumber` - Task number.
  `format` - Output format.
  `ccmAddr` -
Returns:
  the commandl ine.
Throws:
  `ScmException`

#### query

    public static org.codehaus.plexus.util.cli.Commandline query(String query,
                                                 String format,
                                                 String ccmAddr)
                                                          throws ScmException

Create commandline for query.

Parameters:
  `query` - query.
  `format` - Output format
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### createBaseline

    public static org.codehaus.plexus.util.cli.Commandline createBaseline(String projectSpec,
                                                          String name,
                                                          String release,
                                                          String purpose,
                                                          String ccmAddr)
                                                                   throws ScmException

Create command line for creating a baseline.

Parameters:
  `projectSpec` - project_name~project_version
  `name` - Name of the baseline
  `release` - the release.
  `purpose` - the purpose.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### create

    public static org.codehaus.plexus.util.cli.Commandline create(List files,
                                                  String message,
                                                  String ccmAddr)
                                                           throws ScmException

Create command line for adding a fileset to a project

Parameters:
  `files` - fileset.
  `message` - message log, or null if none.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### createTask

    public static org.codehaus.plexus.util.cli.Commandline createTask(String synopsis,
                                                      String release,
                                                      boolean defaultTask,
                                                      String ccmAddr)
                                                               throws ScmException

Create command line for creating a task

Parameters:
  `synopsis` - synopsis.
  `release` - release.
  `defaultTask` - default.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### checkinTask

    public static org.codehaus.plexus.util.cli.Commandline checkinTask(String taskSpecs,
                                                       String comment,
                                                       String ccmAddr)
                                                                throws ScmException

Create command line for checkin a task

Parameters:
  `taskSpecs` - task_specs or default
  `comment` - comment.
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### delete

    public static org.codehaus.plexus.util.cli.Commandline delete(List files,
                                                  String ccmAddr,
                                                  boolean replace)
                                                           throws ScmException

Create command line for deleting file(s).

Parameters:
  `files` - fileset.
  `ccmAddr` -
  `replace` - replace with previous version of file ?
Returns:
Throws:
  `ScmException`

#### reconfigure

    public static org.codehaus.plexus.util.cli.Commandline reconfigure(String projectSpec,
                                                       String ccmAddr)
                                                                throws ScmException

Create commandline to reconfigure a project.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### reconfigureProperties

    public static org.codehaus.plexus.util.cli.Commandline reconfigureProperties(String projectSpec,
                                                                 String ccmAddr)
                                                                          throws ScmException

Create commandline to reconfigure properties of a project.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### reconcileUwa

    public static org.codehaus.plexus.util.cli.Commandline reconcileUwa(String projectSpec,
                                                        String ccmAddr)
                                                                 throws ScmException

Create command line to reconcile a project with uwa option.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### reconcileUdb

    public static org.codehaus.plexus.util.cli.Commandline reconcileUdb(String projectSpec,
                                                        String ccmAddr)
                                                                 throws ScmException

Create command line to reconcile a project with udb option.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### dir

    public static org.codehaus.plexus.util.cli.Commandline dir(File directory,
                                               String format,
                                               String ccmAddr)
                                                        throws ScmException

Create command line to perform a dir on the directory.

Parameters:
  `directory` -
  `format` - Output format.
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### checkoutFiles

    public static org.codehaus.plexus.util.cli.Commandline checkoutFiles(List files,
                                                         String ccmAddr)
                                                                  throws ScmException

Create commandline to checkout a fileset.

Parameters:
  `files` - fileset.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### checkoutProject

    public static org.codehaus.plexus.util.cli.Commandline checkoutProject(File directory,
                                                           String projectSpec,
                                                           ScmVersion version,
                                                           String purpose,
                                                           String release,
                                                           String ccmAddr)
                                                                    throws ScmException

Create commandline to checkout a project

Parameters:
  `directory` - target WA, or null if using default directory
  `projectSpec` -
  `version` - new version of the project, or null if using default Synergy mecanism
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### checkinProject

    public static org.codehaus.plexus.util.cli.Commandline checkinProject(String projectSpec,
                                                          String comment,
                                                          String ccmAddr)
                                                                   throws ScmException

Create commandline to checkin a project

Parameters:
  `projectSpec` -
  `comment` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### checkinFiles

    public static org.codehaus.plexus.util.cli.Commandline checkinFiles(List files,
                                                        String comment,
                                                        String ccmAddr)
                                                                 throws ScmException

Create commandline to checkin a fileset

Parameters:
  `files` - fileset.
  `comment` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### synchronize

    public static org.codehaus.plexus.util.cli.Commandline synchronize(String projectSpec,
                                                       String ccmAddr)
                                                                throws ScmException

Create commandline to synchronize a project

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### showWorkArea

    public static org.codehaus.plexus.util.cli.Commandline showWorkArea(String projectSpec,
                                                        String ccmAddr)
                                                                 throws ScmException

Create commandline to get workarea informations for a given project.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### stop

    public static org.codehaus.plexus.util.cli.Commandline stop(String ccmAddr)
                                                         throws ScmException

Create commandline to stop a Synergy session

Parameters:
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### start

    public static org.codehaus.plexus.util.cli.Commandline start(String username,
                                                 String password,
                                                 SynergyRole role)
                                                          throws ScmException

Create commandline to start a Synergy session

Parameters:
  `username` -
  `password` -
  `role` -
Returns:
Throws:
  `ScmException`

#### startRemote

    public static org.codehaus.plexus.util.cli.Commandline startRemote(String username,
                                                       String password,
                                                       SynergyRole role)
                                                                throws ScmException

Create commandline to start a remote Synergy session

Parameters:
  `username` -
  `password` -
  `role` -
Returns:
Throws:
  `ScmException`

#### delimiter

    public static org.codehaus.plexus.util.cli.Commandline delimiter(String ccmAddr)
                                                              throws ScmException

Create commandline to get Synergy database delimiter

Returns:
Throws:
  `ScmException`